Name:           pspp
Version:        1.4.1
Release:        1%{?dist}
Summary:        A program for statistical analysis of sampled data
License:        GPLv3+
URL:            https://www.gnu.org/software/pspp/
VCS:            scm:git:git://git.savannah.gnu.org/pspp.git
Source0:        https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:        https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Patch1:         pspp-rhel-missing-appstream.patch
BuildRequires: make
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gettext-devel
BuildRequires:  gnulib-devel
BuildRequires:  gsl-devel >= 1.11-2
BuildRequires:  gtk3-devel
BuildRequires:  gtksourceview3-devel
BuildRequires:  libpq-devel
BuildRequires:  libtool
BuildRequires:  libxml2
BuildRequires:  ncurses-devel
BuildRequires:  perl(Config::Perl::V)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Text::Diff)
BuildRequires:  perl-devel
BuildRequires:  plotutils-devel
BuildRequires:  python3
BuildRequires:  readline-devel
BuildRequires:  spread-sheet-widget-devel
BuildRequires:  texinfo
Requires:	hicolor-icon-theme


%description
PSPP is a program for statistical analysis of sampled data. It
interprets commands in the SPSS language and produces tabular
output in ASCII, PostScript, or HTML format.

PSPP development is ongoing. It already supports a large subset
of SPSS's transformation language. Its statistical procedure
support is currently limited, but growing.


%prep
%autosetup -p1

%build
XGETTEXT="xgettext --its=`pwd`/xgettext-its/metainfo.its"
export XGETTEXT
%configure CFLAGS="${CFLAGS:-%optflags} -fgnu89-inline" \
    --disable-static --disable-rpath
%make_build


%install
%make_install
# Install docs
mkdir -p %{buildroot}%{_pkgdocdir}
cp -p AUTHORS NEWS ONEWS README THANKS %{buildroot}%{_pkgdocdir}
# don't own /usr/share/info/dir
rm %{buildroot}%{_infodir}/dir

# don't lala
find %{buildroot}%{_libdir}/ \
   -name \*.la -delete

# desktop file
desktop-file-validate %{buildroot}%{_datadir}/applications/org.fsf.pspp.desktop

# localization
%find_lang %{name}

# clean up some stuff
rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache


%check
make check


%files -f %{name}.lang
%license COPYING
%{_bindir}/pspp
%{_bindir}/pspp-convert
%{_bindir}/pspp-dump-sav
%{_bindir}/pspp-output
%{_bindir}/psppire
%{_datadir}/applications/org.fsf.pspp.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/mimetypes/*.png
%{_datadir}/icons/hicolor/scalable/apps/pspp.svg
%{_datadir}/metainfo/org.fsf.pspp.metainfo.xml
%{_datadir}/mime/packages/pspp.xml
%{_datadir}/pspp/
%{_infodir}/pspp*
%{_libdir}/%{name}/
%{_mandir}/man1/pspp-convert.1.*
%{_mandir}/man1/pspp-dump-sav.*
%{_mandir}/man1/pspp-output.1.*
%{_mandir}/man1/pspp.1.*
%{_mandir}/man1/psppire.1.*
%{_pkgdocdir}/


%changelog
* Tue Jan 12 2021 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 1.4.1-1
- Update to version 1.4.1.
- Added pspp-rhel-missing-appstream.patch and build with XGETTEXT trick to
  work around RHEL missing the appstream package.
* Tue Jan 12 2021 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 1.4.0-1
- Initial version 1.4.0 based on the package from Fedora.
